Difference between revisions of "Sketcher Workbench/pl"

From FreeCAD Documentation
Jump to: navigation, search
 
(118 intermediate revisions by the same user not shown)
Line 25: Line 25:
  
 
==== Rysowanie Tradycyjne ====
 
==== Rysowanie Tradycyjne ====
Tradycyjna metoda rysowania CAD pochodzi od dawnej [http://pl.wikipedia.org/wiki/Deska_kre%C5%9Blarska deski kreślarskiej]. [http://en.wikipedia.org/wiki/Multiview_orthographic_projection Rzuty prostopadłe (2D)] są rysowanie ręczenie i przeznaczone do tworzenia rysunków technicznych. Obiekty są rysowane precyzyjnie w zamierzonej skali lub wymiarze. Jeśli chcesz narysować poziomą linię o długości 100mm startującą w punkcie (0,0), musisz aktywować narzędzie linii, kliknąć na ekranie bądź wprowadzić współrzędne (0,0) dla pierwszego punktu, następnie wykonać kolejne kliknięcie lub wprowadzić współrzędnie dla drugiego punktu (0,100). Ewentualnie możesz narysować linię bez określanie jej pozycji i przesunąć ją później. Kiedy skończysz rysować geometrię, dodajesz wymiary do niej.
+
Tradycyjna metoda rysowania CAD pochodzi od dawnej [http://en.wikipedia.org/wiki/Drawing_board deski kreślarskiej]. [http://en.wikipedia.org/wiki/Multiview_orthographic_projection Rzuty prostopadłe ''(2D)''] są kreślone ręczenie z przeznaczeniem do tworzenia rysunków technicznych. Obiekty są rysowane precyzyjnie w zamierzonej skali lub wymiarze. Jeśli chcesz narysować poziomą linię o długości 100mm startującą w punkcie (0,0), musisz aktywować narzędzie linii, kliknąć na ekranie bądź wprowadzić współrzędne (0,0) dla pierwszego punktu, następnie wykonać kolejne kliknięcie lub wprowadzić współrzędnie dla drugiego punktu (0,100). Ewentualnie możesz narysować linię bez określanie jej pozycji i przesunąć ją później. Kiedy skończysz rysować geometrię, nadajesz jej wymiary.
  
==== Szkicowanie z Więzami ====
+
====Szkicowanie z więzami====
'''Skicownik''' odchodzi od tej logiki. Obiekty nie muszą być rysowane dokładnie jak założyłeś, bo zostaną później zdefiniowane za pomocą więzów. Obiekty mogą być rysowane nieściśle i, tak długą jak nie są ograniczone więzami, mogą być modyfikowane. W efekcie są "pływające" i mogą być przesuwane, rozciągane, obracane, skalowane itp. To daje ogromną elastyczność procesu projektowania.
+
'''Sketcher''' odchodzi od tej logiki. Obiekty nie muszą być rysowane dokładnie tak, jak zamierzasz, ponieważ zostaną później zdefiniowane przez wiązania. Obiekty mogą być rysowane luźno i tak długo, jak długo pozostają niezwiązane, mogą być modyfikowane. Są one w efekcie pływające i mogą być przesuwane, rozciągane, obracane, skalowane i tak dalej. Daje to dużą elastyczność w procesie projektowania.
  
<div class="mw-translate-fuzzy">
+
====Czym są wiązania====
==== Czym są więzy? ====
+
Zamiast wymiarów, wiązaniania stosowane w celu ograniczenia stopnia swobody obiektu. Na przykład, linia bez wiązań ma 4 [[#Degrees Of Freedom|stopnie swobody]] ''(w skrócie "DOF")'': można ją przesuwać w poziomie lub w pionie, można ją rozciągać i obracać.
Więzy używane do ograniczenia stopni swobody obiektu. Dla przykładu, linia bez więzów ma 4 stopnie swobody: może być przesuwana w poziomie lub pionie, rozciągana  i obracana.
 
</div>
 
  
 
Wykorzystanie więzu poziomego lub pionowego, lub więzu kąta (względem innej linii lub jednej z osi), ogranicz jej zdolność do obracania pozostawiając ją z 3 stopniami swobody. Zablokowanie jednego z punktów w relacji do układu współrzędnych usunie kolejne dwa stopnie. W końcu zastosowanie więzu wymiaru usunie ostatni stopień swobody. Linia jest w wtedy uznawana za '''w pełni ograniczoną więzami'''.
 
Wykorzystanie więzu poziomego lub pionowego, lub więzu kąta (względem innej linii lub jednej z osi), ogranicz jej zdolność do obracania pozostawiając ją z 3 stopniami swobody. Zablokowanie jednego z punktów w relacji do układu współrzędnych usunie kolejne dwa stopnie. W końcu zastosowanie więzu wymiaru usunie ostatni stopień swobody. Linia jest w wtedy uznawana za '''w pełni ograniczoną więzami'''.
  
<div class="mw-translate-fuzzy">
+
Wiele obiektów może być ze sobą związanych. Dwie linie mogą być połączone poprzez jeden z ich punktów za pomocą wiązania punktów zbieżnych. Mogą być ustawiane między sobą pod kątem lub prostopadle. Linia może być styczna do łuku lub okręgu i tak dalej. Złożony szkic z wieloma obiektami będzie miał wiele różnych rozwiązań, a uczynienie go '''w pełni ograniczonym''' oznacza, że tylko jedno z tych możliwych rozwiązań zostało osiągnięte w oparciu o zastosowane ograniczenia.   
Różne obiekty mogą być wiązane między sobą. Dwie linie mogą być związane, którymiś ze swoich punktów, więzem nachodzenia (coincident). Między zostać ustawiony kąt między nimi lub mogą zostać powiązane jako prostopadłe. Linia może być styczna do łuku lub okręgu itp.
 
</div>  
 
  
 
Są dwa typy więzów: geometryczne i wymiarowe.Są one opisane dokładnej w poniższej sekcji [[#The tools|'The tools']].
 
Są dwa typy więzów: geometryczne i wymiarowe.Są one opisane dokładnej w poniższej sekcji [[#The tools|'The tools']].
  
<div class="mw-translate-fuzzy">
+
====Do czego Szkicownik nie jest dobry====
=== Zastosowania do których Szkicownik się nie nadaje ===
+
Sketcher nie jest przeznaczony do wykonywania planów 2D. Gdy szkice zostaną użyte do wygenerowania bryły, są one automatycznie ukrywane. Ograniczenia są widoczne tylko w trybie edycji szkicu.
  
Szkicownik nie jest przeznaczony do tworzenia dokumentacji 2D. Gdy szkice zostają użyte do utworzenia brył, są automatycznie ukrywane. Wymiary są widoczne tylko w trybie edycji Szkicownika.
+
Jeśli potrzebujesz stworzyć tylko widoki 2D do druku, a nie chcesz tworzyć modeli 3D, sprawdź Środowisko pracy [[Draft Module|Draft]]. W przeciwieństwie do elementów szkicownika, szkice obiektów nie używają wiązań; są to proste kształty zdefiniowane w momencie tworzenia.
</div>
+
Zarówno Draft jak i Sketcher mogą być używane do rysowania geometrii 2D i tworzenia brył 3D, chociaż ich preferowane zastosowanie jest inne. <br />
 
+
Sketcher jest zwykle używany razem z [[Part Workbench|Part]] i [[PartDesign Workbench|PartDesign]] do tworzenia brył. Draft jest zwykle używany do wykonywania prostych rysunków planarnych na siatce, jak podczas rysowania architektonicznego planu piętra.
<div class="mw-translate-fuzzy">
+
W takich sytuacjach Draft jest najczęściej używany razem ze Środowiskiem pracy [[Arch Workbench|Arch]]. Narzędzie [[Draft Draft2Sketch|Draft2Sketch]] konwertuje obiekt Draft na obiekt Sketch i vice versa. Wiele narzędzi, które potrzebują elementu 2D jako wejścia do pracy z każdym typem obiektu wykonuje automatycznie konwersję wewnętrzną.
Jeśli potrzebujesz tylko stworzyć widoki 2D do wydruku, i nie chcesz tworzyć modeli 3D, sprawdź [[Draft Module/pl|warsztat Draft]] (weź pod uwagę, że warsztat Draft może być także użyteczny przy tworzeniu geometrii 2D niedostępnej aktualnie w Szkicowniku, jak B-Splajny.)
 
</div>
 
  
 
==Szkicowanie schemat pracy==
 
==Szkicowanie schemat pracy==
 
Szkic jest zawsze dwuwymiarowy ''(2D)''. Aby utworzyć bryłę, tworzony jest płaski szkic pojedynczego zamkniętego obszaru, a następnie zostaje albo wypełniony albo obracany, aby dodać trzeci wymiar. W ten sposób tworzona jest przestrzenna bryła z płaskiego szkicu.
 
Szkic jest zawsze dwuwymiarowy ''(2D)''. Aby utworzyć bryłę, tworzony jest płaski szkic pojedynczego zamkniętego obszaru, a następnie zostaje albo wypełniony albo obracany, aby dodać trzeci wymiar. W ten sposób tworzona jest przestrzenna bryła z płaskiego szkicu.
  
If a Sketch has segments that cross one another, places where a Point is not directly on a segment, or places where there are gaps between endpoints of adjacent segments, Pad or Revolve won't create a solid. Sometimes a Sketch which contains lines which cross one another will work for a simple operation such as Pad, but later operations such as Linear Pattern will failIt is best to avoid crossing linesThe exception to this rule is that it doesn't apply to Construction (blue) Geometry.
+
Jeśli szkic posiada odcinki, które się krzyżują, miejsca, w których punkt nie znajduje się bezpośrednio na odcinku, lub miejsca, w których występują przerwy pomiędzy punktami końcowymi sąsiednich odcinków, wyciągnięcie lub wyciągnięcie przez obrót nie stworzą bryły. Czasami szkic, który zawiera przecinające się linie, będzie działał dla prostej operacji, takiej jak wyciągnięcie, ale późniejsze operacje, takie jak Linear Pattern, nie powiodą sięNajlepiej jest unikać krzyżowania liniiWyjątkiem od tej reguły jest sytuacja, dla elementów konstrukcyjnych ''(niebieskich)''.
  
Inside the enclosed area we can have smaller non-overlapping areasThese will become voids when the 3D solid is created.
+
Wewnątrz zamkniętego obszaru możemy mieć mniejsze powierzchnie nie zachodzące na siebieBędą to puste przestrzenie, gdy zostanie utworzona bryła 3D.
  
Once a Sketch is fully constrained, the Sketch features will turn green; Construction Geometry will remain blue. It is usually "finished" at this point and suitable for use in creating a 3D solid. However, once the Sketch dialog is closed it may be worthwhile going to [[Part Workbench|Part Workbench]] and running [[Part CheckGeometry|Check geometry]] to ensure there are no features in the Sketch which may cause later problems.
+
Gdy szkic jest w pełni związany, jego elementy zmienią kolor na zielony, geometria konstrukcji pozostanie niebieska. Zazwyczaj jest on gotowy w tym miejscu i nadaje się do wykorzystania przy tworzeniu bryły 3D. Jednakże, gdy okno dialogowe Szkic jest zamknięte, warto przejść do Środowiska pracy [[Part Workbench|Part]] i uruchomić funkcje [[Part CheckGeometry|Sprawdź geometrię]], aby upewnić się, że w Szkicu nie ma elementów, które mogą spowodować późniejsze problemy.
  
 
==Narzędzia==
 
==Narzędzia==
Wszystkie narzędzia Środowiska prascy Sketcher znajdują się w menu głównym '''Sketch''', które pojawia się po załadowaniu tego środowiska pracy.  
+
Wszystkie narzędzia Środowiska prascy Sketcher znajdują się w menu głównym '''Sketch''', się one po załadowaniu tego środowiska pracy.  
  
* [[Image:Sketcher_NewSketch.svg‎‎|32px]] [[Sketcher_NewSketch|New sketch]]: Creates‎ a new sketch on a selected face or plane. If no face is selected while this tool is executed the user is prompted to select a plane from a pop-up window.
+
* [[Image:Sketcher_NewSketch.svg|32px]] [[Sketcher_NewSketch|Nowy szkic]]: Tworzy nowy szkic na wybranej powierzchni lub płaszczyźnie. Jeśli podczas uruchamiania tego narzędzia nie zostanie wybrana żadna ściana, użytkownik zostanie poproszony o wybranie płaszczyzny z wyskakującego okna.
  
* [[Image:Sketcher_EditSketch.svg|32px]] [[Sketcher_EditSketch|Edit sketch]]: Edit the selected Sketch. This will open the [[Sketcher Dialog|Sketcher Dialog]].
+
* [[Image:Sketcher_EditSketch.svg|32px]] [[Sketcher_EditSketch|Edycja szkicu]]: Edytuj wybrany szkic. Spowoduje to otwarcie [[Sketcher Dialog|Okna dialogowego Szkicownika]].
  
* [[Image:Sketcher_LeaveSketch.svg|32px]] [[Sketcher_LeaveSketch|Leave sketch]]: Leave the Sketch editing mode.
+
* [[Image:Sketcher_LeaveSketch.svg|32px]] [[Sketcher_LeaveSketch|Opuść szkic]]: Zamyka tryb edycji Środowiska pracy Sketch.
  
* [[Image:Sketcher_ViewSketch.svg|32px]] [[Sketcher_ViewSketch|View sketch]]: Sets the model view perpendicular to the sketch plane.
+
* [[Image:Sketcher_ViewSketch.svg|32px]] [[Sketcher_ViewSketch|Widok szkucu]]: Ustawia widok modelu prostopadle do płaszczyzny szkicu.
  
* [[Image:Sketcher ViewSection.svg|32px]] [[Sketcher_ViewSection|View section]]: Creates a section plane that temporarily hides any matter in front of the sketch plane. {{Version|0.18}}
+
* [[Image:Sketcher ViewSection.svg|32px]] [[Sketcher_ViewSection|Zobacz przekrój]]: Tworzy płaszczyznę przekroju, która tymczasowo ukrywa jakąkolwiek zawartość przed płaszczyzną szkicu. {{Version/pl|0.18}}
  
* [[Image:Sketcher_MapSketch.svg|32px]] [[Sketcher_MapSketch|Map sketch to face]]: Maps a sketch to the previously selected face of a solid.
+
* [[Image:Sketcher_MapSketch.svg|32px]] [[Sketcher_MapSketch|Mapuj szkic na płaczszyznę]]: Nanosi szkic na uprzednio wybraną ścianę bryły.
  
* [[Sketcher_Reorient|Reorient sketch ]]: Allows you to change the position of a sketch
+
* [[Sketcher_Reorient|Zmień orientacje szkicu]]: Umożliwia zmianę położenia szkicu.
  
* [[Sketcher_ValidateSketch|Validate sketch]]: Verify the tolerance of different points and adjust them.
+
* [[Sketcher_ValidateSketch|Sprawdź poprawność szkicu]]: Sprawdź odchylenie różnych punktów i dopasuj je.
  
* [[Image:Sketcher MergeSketch.svg|32px]] [[Sketcher MergeSketches|Merge sketches]]: Merge two or more sketches. {{Version|0.15}}
+
* [[Image:Sketcher MergeSketch.svg|32px]] [[Sketcher MergeSketches|Połącz szkice]]: Łączy ze sobą dwa lub więcej szkiców. {{Version/pl|0.15}}
  
* [[Image:Sketcher MirrorSketch.svg|32px]] [[Sketcher MirrorSketch|Mirror sketch]]: Mirror a sketch along the x-axis, the y-axis or the origin. {{Version|0.16}}
+
* [[Image:Sketcher MirrorSketch.svg|32px]] [[Sketcher MirrorSketch|Odbicie lustrzane]]: Odbicie szkicu wzdłuż osi x, osi y, lub punktu początku układu współrzędnych. {{Version/pl|0.16}}
  
===Sketcher geometries===
+
===Geometria w szkicowniku===
  
These are tools for creating objects.
+
Poniżej znajdują się narzędzia do tworzenia obiektów.
  
* [[Image:Sketcher_CreatePoint.svg|32px]] [[Sketcher_CreatePoint|Point]]: Draws a point.
+
* [[Image:Sketcher_CreatePoint.svg|32px]] [[Sketcher_CreatePoint|Utwórz punkt na szkicu]]: Rysuje punkt.
  
* [[Image:Sketcher_Line.svg|32px]] [[Sketcher_CreateLine|Line]]: Draws a line segment between 2 points. Lines are infinite regarding certain constraints.
+
* [[Image:Sketcher_Line.svg|32px]] [[Sketcher_CreateLine|Utwórz linię na szkicu]]: Rysuje odcinek linii między 2 punktami. Linie są nieograniczone pod względem pewnych wiązań.
  
* [[Image:Sketcher_CompCreateArc.png|48px]] [[Sketcher_CompCreateArc|Create an arc]]: This is an icon menu in the Sketcher toolbar that holds the following commands:
+
* [[Image:Sketcher_CompCreateArc.png|48px]] [[Sketcher_CompCreateArc|Utwórz łuk]]: Jest to ikona menu na pasku narzędzi szkicownika, która zawiera następujące funkcje:
  
:* [[Image:Sketcher_Arc.svg|32px]] [[Sketcher_CreateArc|Arc]]: Draws an arc segment from center, radius, start angle and end angle.
+
:* [[Image:Sketcher_Arc.svg|32px]] [[Sketcher_CreateArc|Utwórz łuk w szkicowniku]]: Rysuje odcinek łuku od punktu środka, uwzględniając promień, oraz punkt początkowy i punkt końcowy.
  
:* [[Image:Sketcher_Create3PointArc.svg|32px]] [[Sketcher_Create3PointArc|Arc by 3 points]]: Draws an arc segment from two endpoints and another point on the circumference.
+
:* [[Image:Sketcher_Create3PointArc.svg|32px]] [[Sketcher_Create3PointArc|Utwórz łuk podając 3 punkty na obwodzie]]: Rysuje odcinek łuku z dwóch punktów końcowych i innego punktu na obwodzie.
  
* [[Image:Sketcher_CompCreateCircle.png|48px]] [[Sketcher_CompCreateCircle|Create a circle]]: This is an icon menu in the Sketcher toolbar that holds the following commands:
+
* [[Image:Sketcher_CompCreateCircle.png|48px]] [[Sketcher_CompCreateCircle|Utwórz okrąg ...]]: Jest to ikona menu na pasku narzędzi szkicownika, która zawiera następujące funkcje:
  
:* [[Image:Sketcher_Circle.svg|32px]] [[Sketcher_CreateCircle|Circle]]: Draws a circle from center and radius.
+
:* [[Image:Sketcher_Circle.svg|32px]] [[Sketcher_CreateCircle|Rysuje okrąg przez punkt środkowy i na obwodzie]]: Rysuje koło na podstawie punktu środkowego i promienia.
  
:* [[Image:Sketcher_Create3PointCircle.svg|32px]] [[Sketcher_Create3PointCircle|Circle by 3 points]]: Draws a circle from three points on the circumference.
+
:* [[Image:Sketcher_Create3PointCircle.svg|32px]] [[Sketcher_Create3PointCircle|Rysuje okrąg podając 3 punkty na obwodzie]]: Rysuje okrąg z trzech punktów na obwodzie.
  
* [[Image:Sketcher_CompCreateConic.png|48px]] [[Sketcher_CompCreateConic|Create a conic]]: The sketcher provides the following conical sections. Unlike B-splines they can be used with all sorts of constraints such as tangents, point-on-object, or orthogonal.
+
* [[Image:Sketcher_CompCreateConic.png|48px]] [[Sketcher_CompCreateConic|Utwórz krzywa stożkową]]: Szkicownik oferuje poniższe sekcje o kształcie stożka. W przeciwieństwie do linii B-splines mogą być one używane z różnego rodzaju wiązaniami, takimi jak styczne, punkt na obiekcie lub prostopadłe.
** [[Image:Sketcher_CreateEllipse.svg|32px]] [[Sketcher CreateEllipseByCenter|Ellipse by center]]: Draws an ellipse by center point, major radius point and minor radius point. {{Version|0.15}}
+
** [[Image:Sketcher_CreateEllipse.svg|32px]] [[Sketcher CreateEllipseByCenter|Ellipsa przez środek. ..]]: Rysuje elipsę według punktu środkowego, głównego promienia i małego promienia. {{Version/pl|0.15}}
** [[Image:Sketcher_CreateEllipse_3points.svg|32px]] [[Sketcher CreateEllipseBy3Points|Ellipse by 3 points]]: Draws an ellipse by major diameter (2 points) and minor radius point. {{Version|0.15}}
+
** [[Image:Sketcher_CreateEllipse_3points.svg|32px]] [[Sketcher CreateEllipseBy3Points|Ellipsa przez 3 punkty]]: Rysuje elipsę według średnicy głównej ''(2 punkty)'' i punktu mniejszego promienia. {{Version/pl|0.15}}
** [[Image:Sketcher_Elliptical_Arc.svg|32px]] [[Sketcher_CreateArcOfEllipse|Arc of ellipse]]: Draws an arc of ellipse by center point, major radius point, starting point and ending point. {{Version|0.15}}
+
** [[Image:Sketcher_Elliptical_Arc.svg|32px]] [[Sketcher_CreateArcOfEllipse|Łuk elipsy przez środek ...]]: Rysuje łuk elipsy według punktu środkowego, głównego promienia, punktu początkowego i końcowego.{{Version|0.15}}
**[[Image:Sketcher_Hyperbolic_Arc.svg|32px]] [[Sketcher_CreateArcOfHyperbola|Arc of hyperbola]]: Draws an arc of hyperbola. {{Version|0.17}}
+
**[[Image:Sketcher_Hyperbolic_Arc.svg|32px]] [[Sketcher_CreateArcOfHyperbola|Łuk hiperboli przez środek ...]]: Rysuje łuk hiperboli. {{Version/pl|0.17}}
**[[Image:Sketcher_Parabolic_Arc.svg|32px]] [[Sketcher_CreateArcOfParabola|Arc of parabola]]: Draws an arc of parabola. {{Version|0.17}}
+
**[[Image:Sketcher_Parabolic_Arc.svg|32px]] [[Sketcher_CreateArcOfParabola|Łuk paraboli]]: Rysuje łuk paraboli. {{Version/pl|0.17}}
  
* [[Image:Sketcher_CompCreateBSpline.png|48px]] [[Sketcher_CompCreateBSpline|Create a B-spline]]: This is an icon menu in the Sketcher toolbar that holds the following commands:
+
* [[Image:Sketcher_CompCreateBSpline.png|48px]] [[Sketcher_CompCreateBSpline|Utwórz krzywą B-spline]]: Jest to ikona menu na pasku narzędzi Szkicownika, która zawiera następujące polecenia:
** [[File:Sketcher_CreateBSpline.svg|32px]] [[Sketcher_CreateBSpline|Create B-spline]]: Draws a B-spline curve by its control points. {{Version|0.17}}
+
** [[File:Sketcher_CreateBSpline.svg|32px]] [[Sketcher_CreateBSpline|Utwórz B-spline]]: Rysuje krzywą B-spline za pomocą punktów kontrolnych. {{Version/pl|0.17}}
** [[File:Sketcher_Create_Periodic_BSpline.svg|32px]] [[Sketcher_CreatePeriodicBSpline|Create periodic B-spline]]: Draws a periodic (closed) B-spline curve by its control points. {{Version|0.17}}
+
** [[File:Sketcher_Create_Periodic_BSpline.svg|32px]] [[Sketcher_CreatePeriodicBSpline|Tworzenie okresowej linii B-spline]]: Rysuje okresową ''(zamkniętą)'' krzywą B-spline za pomocą punktów kontrolnych. {{Version/pl|0.17}}
  
* [[Image:Sketcher_CreatePolyline.svg|32px]] [[Sketcher_CreatePolyline|Polyline (multiple-point line)]]: Draws a line made of multiple line segments. Pressing the M key while drawing a Polyline toggles between the different polyline modes.  
+
* [[Image:Sketcher_CreatePolyline.svg|32px]] [[Sketcher_CreatePolyline|Utwórz polilinię w szkicu]]: Rysuje linię złożoną z wielu segmentów linii. Naciśnięcie klawisza {{KEY|M}} podczas rysowania polilinii przełącza pomiędzy różnymi trybami.  
  
* [[Image:Sketcher_CreateRectangle.svg|32px]] [[Sketcher_CreateRectangle|Rectangle]]: Draws a rectangle from 2 opposite points.
+
* [[Image:Sketcher_CreateRectangle.svg|32px]] [[Sketcher_CreateRectangle|Utwórz prostokąt na szkicu]]: Rysuje prostokąt na podstawie 2 przeciwległych punktów.
  
* [[Image:Sketcher_CompCreateRegularPolygon.png|48px]] [[Sketcher_CompCreateRegularPolygon|Create regular polygon]]: This is an icon menu in the Sketcher toolbar that holds the following commands:
+
* [[Image:Sketcher_CompCreateRegularPolygon.png|48px]] [[Sketcher_CompCreateRegularPolygon|Stwórz wielokąt foremny ...]]: Jest to ikona menu na pasku narzędzi szkicownika, która zawiera następujące funkcje:
  
:* [[Image:Sketcher_CreateTriangle.svg|32px]] [[Sketcher_CreateTriangle|Triangle]]: Draws a regular triangle inscribed in a construction geometry circle. {{Version|0.15}}
+
:* [[Image:Sketcher_CreateTriangle.svg|32px]] [[Sketcher_CreateTriangle|Trójkąt]]: Rysuje zwyczajny trójkąt wpisany w okrąg o geometrii konstrukcyjnej. {{Version/pl|0.15}}
  
:* [[Image:Sketcher_CreateSquare.svg|32px]] [[Sketcher_CreateSquare|Square]]: Draws a regular square inscribed in a construction geometry circle. {{Version|0.15}}
+
:* [[Image:Sketcher_CreateSquare.svg|32px]] [[Sketcher_CreateSquare|Kwadrat]]: Rysuje zwykły kwadrat wpisany w okrąg o geometrii konstrukcyjnej.{{Version/pl|0.15}}
  
:* [[Image:Sketcher_CreatePentagon.svg|32px]] [[Sketcher_CreatePentagon|Pentagon]]: Draws a regular pentagon inscribed in a construction geometry circle. {{Version|0.15}}
+
:* [[Image:Sketcher_CreatePentagon.svg|32px]] [[Sketcher_CreatePentagon|Pięciokąt]]: Rysuje pięciokąt foremny wpisany w okrąg o geomertii konstrukcyjnej. {{Version/pl|0.15}}
  
:* [[Image:Sketcher_CreateHexagon.svg|32px]] [[Sketcher_CreateHexagon|Hexagon]]: Draws a regular hexagon inscribed in a construction geometry circle. {{Version|0.15}}
+
:* [[Image:Sketcher_CreateHexagon.svg|32px]] [[Sketcher_CreateHexagon|Sześciokąt]]: Rysuje sześciokąt foremny wpisany w okrąg o geometrii konstrukcyjnej.. {{Version/pl|0.15}}
  
:* [[Image:Sketcher_CreateHeptagon.svg|32px]] [[Sketcher_CreateHeptagon|Heptagon]]: Draws a regular heptagon inscribed in a construction geometry circle. {{Version|0.15}}
+
:* [[Image:Sketcher_CreateHeptagon.svg|32px]] [[Sketcher_CreateHeptagon|Siedmiokąt]]: Rysuje siedmiokąt foremny wpisany w okrąg o geometrii konstrukcyjnej. {{Version/pl|0.15}}
  
:* [[Image:Sketcher_CreateOctagon.svg|32px]] [[Sketcher_CreateOctagon|Octagon]]: Draws a regular octagon inscribed in a construction geometry circle. {{Version|0.15}}
+
:* [[Image:Sketcher_CreateOctagon.svg|32px]] [[Sketcher_CreateOctagon|Ośmiokąt]]: Rysuje ośmiokąt foremny wpisany w okrąg o geometrii konstrukcyjnej. {{Version/pl|0.15}}
  
:* [[Image:Sketcher_CreateRegularPolygon.svg|32px]] [[Sketcher_CreateRegularPolygon|Create Regular Polygon]] : Draws a regular polygon by selecting the number of sides and picking two points: the center and one corner.
+
:* [[Image:Sketcher_CreateRegularPolygon.svg|32px]] [[Sketcher_CreateRegularPolygon|Wielokąt foremny]] : Rysuje wielokąt foremny, wybierając liczbę boków i wybierając dwa punkty: środek i jeden róg.
  
* [[Image:Sketcher_CreateSlot.png|32px]] [[Sketcher_CreateSlot|Slot]]: Draws an oval by selecting the center of one semicircle and an endpoint of the other semicircle.
+
* [[Image:Sketcher_CreateSlot.png|32px]] [[Sketcher_CreateSlot|Utwórz szczelinę ...]]: Rysuje owal, wybierając środek jednego półkola i punkt końcowy drugiego półkola.
  
* [[Image:Sketcher_CreateFillet.svg|32px]] [[Sketcher_CreateFillet|Fillet]]: Makes a fillet between two lines joined at one point. Select both lines or click on the corner point, then activate the tool.
+
* [[Image:Sketcher_CreateFillet.svg|32px]] [[Sketcher_CreateFillet|Zaokrąglenie]]: Tworzy zaokrąglenie między dwiema liniami połączonymi w jednym punkcie. Zaznacz obie linie lub kliknij punkt narożny, a następnie aktywuj narzędzie.
  
* [[Image:Sketcher_Trimming.svg|32px]] [[Sketcher_Trimming|Trimming]]: Trims a line, circle or arc with respect to the clicked point.
+
* [[Image:Sketcher_Trimming.svg|32px]] [[Sketcher_Trimming|Przytnij krawędź ...]]: Przycina linię, okrąg lub łuk w odniesieniu do klikniętego punktu.
  
* [[File:Sketcher_Extend.svg|32px]] [[Sketcher_Extend|Extend]]: Extends a line or an arc to a boundary line, arc, ellipse, arc of ellipse or a point in space. {{Version|0.17}}
+
* [[File:Sketcher_Extend.svg|32px]] [[Sketcher_Extend|Rozszerz krawędź ...]]: Wydłuża linię lub łuk do linii granicznej, łuku, elipsy, łuku elipsy lub punktu w przestrzeni. {{Version|0.17}}
  
* [[Image:Sketcher_External.svg|32px]] [[Sketcher_External|External Geometry]]: Creates an edge linked to external geometry.
+
* [[Image:Sketcher_External.svg|32px]] [[Sketcher_External|Utwórz krawędź związaną z geometria zewnętrzną]]: Tworzy krawędź połączoną z geometrią zewnętrzną.
  
* [[File:Sketcher_CarbonCopy.svg|32px]] [[Sketcher_CarbonCopy|CarbonCopy]]: Copies the geometry of another sketch. {{Version|0.17}}
+
* [[File:Sketcher_CarbonCopy.svg|32px]] [[Sketcher_CarbonCopy|Kopiuje geometrię innego szkicu]]: Wykona kopie geometrii innego szkicu. {{Version/pl|0.17}}
  
* [[File:Sketcher AlterConstruction.svg|32px]] [[Sketcher_ToggleConstruction|Construction Mode]]: Toggles sketch geometry from/to construction mode. Construction geometry is shown in blue and is discarded outside of Sketch editing mode.
+
* [[File:Sketcher AlterConstruction.svg|32px]] [[Sketcher_ToggleConstruction|Tryb konstrukcji]]: Przełącza geometrię szkicu z/do trybu konstrukcyjnego. Geometria konstrukcji jest pokazana na niebiesko i jest pomijana poza trybem edycji szkicu.
  
===Sketcher constraints===
+
===Wiązania w szkicowniku===
  
Constraints are used to define lengths, set rules between sketch elements, and to lock the sketch along the vertical and horizontal axes. Some constraints require use of [[Sketcher_helper_constraint|Helper constraints]].
+
Wiązania służą do definiowania długości, ustalania reguł pomiędzy elementami szkicu oraz blokowania szkicu wzdłuż osi pionowej i poziomej. Niektóre z tych wiązań wymagają użycia [[Sketcher_helper_constraint|pomocy]].
  
====Geometric constraints====
+
====Więzy geometrii====
These constraints are not associated with numeric data.
+
Ograniczenia te nie są zależne od danych liczbowych.
  
* [[Image:Constraint_PointOnPoint.svg|32px]] [[Sketcher ConstrainCoincident|Coincident]]: Affixes a point onto (coincident with) one or more other points.
+
* [[Image:Constraint_PointOnPoint.svg|32px]] [[Sketcher ConstrainCoincident|Utwórz wiązanie zgodności ...]]: Umieszcza punkt na ''(zbieżny z)'' jednym lub kilku innych punktach.
  
* [[Image:Constraint_PointOnObject.svg|32px]] [[Sketcher ConstrainPointOnObject|Point On Object]]: Affixes a point onto another object such as a line, arc, or axis.
+
* [[Image:Constraint_PointOnObject.svg|32px]] [[Sketcher ConstrainPointOnObject|Ustaw punkt na obiekcie]]: Umieszcza punkt na innym obiekcie, takim jak linia, łuk lub oś.
  
* [[Image:Constraint_Vertical.svg|32px]] [[Sketcher_ConstrainVertical|Vertical]]: Constrains the selected lines or polyline elements to a true vertical orientation. More than one object can be selected before applying this constraint.
+
* [[Image:Constraint_Vertical.svg|32px]] [[Sketcher_ConstrainVertical|Utwórz wiązanie pionowe ...]]: Wyrównuje wybrane linie lub elementy polilinii do rzeczywistej orientacji pionowej. Przed zastosowaniem tego wiązania można wybrać więcej niż jeden obiekt.
  
* [[Image:Constraint_Horizontal.svg|32px]] [[Sketcher_ConstrainHorizontal|Horizontal]]: Constrains the selected lines or polyline elements to a true horizontal orientation. More than one object can be selected before applying this constraint.
+
* [[Image:Constraint_Horizontal.svg|32px]] [[Sketcher_ConstrainHorizontal|Utwórz wiązanie poziome]]: Wyrównuje wybrane linie lub elementy polilinii do rzeczywistej orientacji poziomej. Przed zastosowaniem tego wiązania można wybrać więcej niż jeden obiekt.
  
* [[Image:Constraint_Parallel.svg|32px]] [[Sketcher_ConstrainParallel|Parallel]]: Constrains two or more lines parallel to one another.
+
* [[Image:Constraint_Parallel.svg|32px]] [[Sketcher_ConstrainParallel|Utwórz wiąż równoległości]]: Wiąże dwie lub więcej linii, równolegle do siebie.
  
* [[Image:Constraint_Perpendicular.svg|32px]] [[Sketcher_ConstrainPerpendicular|Perpendicular]]: Constrains two lines perpendicular to one another, or constrains a line perpendicular to an arc endpoint.
+
* [[Image:Constraint_Perpendicular.svg|32px]] [[Sketcher_ConstrainPerpendicular|Utwórz wąz prostopadłości ...]]: Wiąże dwie linie prostopadle do siebie, lub też wiąże linię prostopadłą do punktu końcowego łuku.
  
* [[Image:Constraint_Tangent.svg|32px]] [[Sketcher ConstrainTangent|Tangent]]: Creates a tangent constraint between two selected entities, or a co-linear constraint between two line segmentsA line segment does not have to lie directly on an arc or circle to be constrained tangent to that arc or circle.
+
* [[Image:Constraint_Tangent.svg|32px]] [[Sketcher ConstrainTangent|Utwórz styczną ...]]: Tworzy wiązanie styczne pomiędzy dwoma wybranymi elementami lub wiązanie współliniowe pomiędzy dwoma segmentami liniiSegment linii nie musi leżeć bezpośrednio na łuku lub okręgu, aby został związany ze styczną do tego łuku lub okręgu.
  
* [[Image:Constraint_EqualLength.svg|32px]] [[Sketcher_ConstrainEqual|Equal Length]]: Constrains two selected entities equal to one anotherIf used on circles or arcs their radii will be set equal.
+
* [[Image:Constraint_EqualLength.svg|32px]] [[Sketcher_ConstrainEqual|Utwórz wiązanie równości]]: Powoduje, że dwie wybrane elementy są sobie równeJeśli są używane na okręgach lub łukach, ich promienie będą ustawione jako równe.
  
* [[Image:Constraint_Symmetric.svg|32px]] [[Sketcher_ConstrainSymmetric|Symmetric]]: Constrains two points symmetrically about a line, or constrains the first two selected points symmetrically about a third selected point.
+
* [[Image:Constraint_Symmetric.svg|32px]] [[Sketcher_ConstrainSymmetric|Utwórz wiąz symetrii ...]]: Powoduje symetryczne związanie dwóch punktów względem linii lub też związanie pierwszych dwóch wybranych punktów symetrycznie względem trzeciego wybranego punktu.
  
* [[Image:Sketcher_ConstrainBlock.svg|32px]] [[Sketcher_ConstrainBlock|Constrain Block]]: Basically allows to block a geometric element in place with a single constraint. It should be particularly useful to work with B-Splines. See the [https://forum.freecadweb.org/viewtopic.php?f=9&t=26572 Block Constraint forum topic]. {{Version|0.17}}
+
* [[Image:Sketcher_ConstrainBlock.svg|32px]] [[Sketcher_ConstrainBlock|Utwórz wiazanie blokowania]]: Zasadniczo umożliwia blokowanie elementu geometrycznego w miejscu za pomocą pojedynczego wiązania. Szczególnie użyteczne powinno być działanie z B-Splines. Patrz [https://forum.freecadweb.org/viewtopic.php?f=9&t=26572 temat na forum Block Constraint]. {{Version/pl|0.17}}
  
====Dimensional constraints ====
+
====Wiązania wymiarów====
These are constraints associated with numeric data, for which you can use the [[Expressions|expressions]]. The data may be taken from a [[Spreadsheet_Workbench|spreadsheet]].
+
Są to wiązania ściśle powiązane z danymi liczbowymi, dla których można użyć [[Expressions|wyrażeń]]. Dane mogą być pobierane z  [[Spreadsheet_Workbench|arkusza kalkulacyjnego]].
  
* [[Image:Sketcher_ConstrainLock.svg|32px]] [[Sketcher ConstrainLock|Lock]]: Constrains the selected item by setting vertical and horizontal distances relative to the origin, thereby locking the location of that item. These constraint distances can be edited later.
+
* [[Image:Sketcher_ConstrainLock.svg|32px]] [[Sketcher ConstrainLock|Utwórz blokade wiazania ...]]: Powoduje związanie wybranego elementu poprzez ustawienie odległości pionowych i poziomych w stosunku do punktu początkowego, blokując w ten sposób lokalizację tego elementu. Odległości te można później edytować.
  
* [[Image:Constraint_HorizontalDistance.svg|32px]] [[Sketcher ConstrainDistanceX|Horizontal Distance]]: Fixes the horizontal distance between two points or line endpoints. If only one item is selected, the distance is set to the origin.
+
* [[Image:Constraint_HorizontalDistance.svg|32px]] [[Sketcher ConstrainDistanceX|Ustal poziomą odległość ...]]: Ustala poziomą odległość pomiędzy dwoma punktami lub punktami końcowymi linii. Jeśli wybrana jest tylko jedna pozycja, odległość jest ustawiana względem punktu początkowego.
  
* [[Image:Constraint_VerticalDistance.svg|32px]] [[Sketcher_ConstrainDistanceY|Vertical Distance]]: Fixes the vertical distance between 2 points or line endpoints. If only one item is selected, the distance is set to the origin.
+
* [[Image:Constraint_VerticalDistance.svg|32px]] [[Sketcher_ConstrainDistanceY|Ustal pionową odległość ...]]: Ustala pionową odległość pomiędzy dwoma punktami lub punktami końcowymi linii. Jeśli wybrana jest tylko jedna pozycja, odległość jest ustawiana względem punktu początkowego.
  
* [[Image:Constraint_Length.svg|32px]] [[Sketcher_ConstrainDistance|Distance]]: Defines the distance of a selected line by constraining its length, or defines the distance between two points by constraining the distance between them.
+
* [[Image:Constraint_Length.svg|32px]] [[Sketcher_ConstrainDistance|Ustal długość linii ...]]: Określa odległość wybranej linii przez związanie jej długości, lub określa odległość między dwoma punktami przez związanie odległości między nimi.
  
* [[Image:Constraint_Radius.svg|32px]] [[Sketcher_ConstrainRadius|Radius]]: Defines the radius of a selected arc or circle by constraining the radius.
+
* [[Image:Constraint_Radius.svg|32px]] [[Sketcher_ConstrainRadius|Zwiąż promień]]: Określa promień wybranego łuku lub okręgu poprzez związanie promienia.
* [[Image:Constraint_InternalAngle.png|32px]] [[Sketcher_ConstrainAngle|Internal Angle]]: Defines the internal angle between two selected lines.
+
* [[Image:Constraint_InternalAngle.png|32px]] [[Sketcher_ConstrainAngle|Ustaw kąt linii ...]]: Określa kąt wewnętrzny między dwiema wybranymi liniami.
  
* [[Image:Constraint_SnellsLaw.svg|32px]] [[Sketcher ConstrainSnellsLaw|Snell's Law]]: Constrains two lines to obey a refraction law to simulate the light going through an interface. {{Version|0.15}}
+
* [[Image:Constraint_SnellsLaw.svg|32px]] [[Sketcher ConstrainSnellsLaw|Utwórz wiązanie prawa refrakcji ...]]: Wiąże dwie linie zgodnie z prawem załamania światła, aby symulować światło przechodzące przez interfejs. {{Version/pl|0.15}}
  
* [[Image:Constraint_InternalAlignment.svg|32px]] [[Sketcher_ConstrainInternalAlignment|Internal Alignment]]: Aligns selected elements to selected shape (e.g. a line to become major axis of an ellipse).
+
* [[Image:Constraint_InternalAlignment.svg|32px]] [[Sketcher_ConstrainInternalAlignment|Zwiąż do wewnątrz]]: Wyrównuje wybrane elementy do wybranego kształtu ''(np. linia staje się główną osią elipsy)''.
  
* [[Image:Sketcher_ToggleConstraint.svg|32px]] [[Sketcher_ToggleDrivingConstraint|Toggle reference/driving constraint]]: Toggles the toolbar or the selected constraints to/from reference mode. {{Version|0.16}}
+
* [[Image:Sketcher_ToggleConstraint.svg|32px]] [[Sketcher_ToggleDrivingConstraint|Przełącza pasek narzędzi ... do trybu odniesienia]]: Przełącza pasek narzędzi lub wybrane wiązania do/z trybu odniesienia. {{Version/pl|0.16}}
  
===Sketcher tools===
+
===Narzędzia szkicownika===
  
* [[File:Sketcher SelectElementsWithDoFs.svg|32px]] [[Sketcher_SelectElementsWithDoFs|Select solver DOFs]]: Highlights in green the geometry with degrees of freedom (DOFs), i.e. not fully constrained. {{Version|0.18}}
+
* [[File:Sketcher SelectElementsWithDoFs.svg|32px]] [[Sketcher_SelectElementsWithDoFs|Wybierz nie związane DOFs]]: Podświetla na zielono geometrię z stopniami swobody ''(DOFs)'', tzn. nie w pełni związaną. {{Version/pl|0.18}}
  
* [[Image:Sketcher CloseShape.svg|32px]] [[Sketcher CloseShape|Close Shape]]: Creates a closed shape by applying coincident constraints to endpoints {{Version|0.15}}
+
* [[Image:Sketcher CloseShape.svg|32px]] [[Sketcher CloseShape|Zamknij kształt]]: Tworzy zamknięty kształt, stosując wiązania zgodności względem punktów końcowych. {{Version/pl|0.15}}
  
* [[Image:Sketcher ConnectLines.svg|32px]] [[Sketcher ConnectLines|Connect Edges]]: Connect sketcher elements by applying coincident constraints to endpoints {{Version|0.15}}
+
* [[Image:Sketcher ConnectLines.svg|32px]] [[Sketcher ConnectLines|Połącz krawędzie]]: Połącz elementy szkicownika poprzez zastosowanie zbieżnych ograniczeń do punktów końcowych. {{Version/pl|0.15}}
  
* [[Image:Sketcher SelectConstraints.svg|32px]] [[Sketcher SelectConstraints|Select Constraints]]: Selects the constraints of a sketcher element {{Version|0.15}}
+
* [[Image:Sketcher SelectConstraints.svg|32px]] [[Sketcher SelectConstraints|Zaznacz wiązania]]: Wybiera wiązania elementu rysunku w szkicowniku. {{Version/pl|0.15}}
  
* [[Image:Sketcher SelectOrigin.svg|32px]] [[Sketcher SelectOrigin|Select Origin]]: Selects the origin of a sketch {{Version|0.15}}
+
* [[Image:Sketcher SelectOrigin.svg|32px]] [[Sketcher SelectOrigin|Zaznacz początek]]: Wybiera punkt początkowy szkicu. {{Version/pl|0.15}}
  
* [[Image:Sketcher SelectVerticalAxis.svg|32px]] [[Sketcher SelectVerticalAxis|Select Vertical Axis]]: Selects the vertical axis of a sketch {{Version|0.15}}
+
* [[Image:Sketcher SelectVerticalAxis.svg|32px]] [[Sketcher SelectVerticalAxis|Wybierz oś pionową]]: Wybór osi pionowej szkicu.{{Version/pl|0.15}}
  
* [[Image:Sketcher SelectHorizontalAxis.svg|32px]] [[Sketcher SelectHorizontalAxis|Select Horizontal Axis]]: Selects the horizontal axis of a sketch {{Version|0.15}}
+
* [[Image:Sketcher SelectHorizontalAxis.svg|32px]] [[Sketcher SelectHorizontalAxis|Wybierz oś poziomą]]: Zaznacza poziomą oś szkicu. {{Version/pl|0.15}}
  
* [[Image:Sketcher SelectRedundantConstraints.svg|32px]] [[Sketcher SelectRedundantConstraints|Select Redundant Constraints]]: Selects redundant constraints of a sketch {{Version|0.15}}
+
* [[Image:Sketcher SelectRedundantConstraints.svg|32px]] [[Sketcher SelectRedundantConstraints|Zaznacz nadmiarowe wiązania]]: Wybiera zbędne wiązania w szkicu. {{Version/pl|0.15}}
  
* [[Image:Sketcher SelectConflictingConstraints.svg|32px]] [[Sketcher SelectConflictingConstraints|Select Conflicting Constraints]]: Selects conflicting constraints of a sketch {{Version|0.15}}
+
* [[Image:Sketcher SelectConflictingConstraints.svg|32px]] [[Sketcher SelectConflictingConstraints|Zaznacz sprzeczne wiązania]]: Wybiera kolidujące ze sobą wiązania szkicu. {{Version/pl|0.15}}
  
* [[Image:Sketcher SelectElementsAssociatedWithConstraints.svg|32px]] [[Sketcher SelectElementsAssociatedWithConstraints|Select Elements Associated with constraints]]: Select sketcher elements associated with constraints {{Version|0.15}}
+
* [[Image:Sketcher SelectElementsAssociatedWithConstraints.svg|32px]] [[Sketcher SelectElementsAssociatedWithConstraints|Zaznacz elementy skojarzone z wiązaniami]]: Wskaż elementy rysunku powiązane z wiązaniami. {{Version/pl|0.15}}
  
* [[File:Sketcher_Element_Ellipse_All.svg|32px]] [[Sketcher_RestoreInternalAlignmentGeometry|Show/Hide internal geometry]]: Recreates missing/deletes unneeded internal geometry of a selected ellipse, arc of ellipse/hyperbola/parabola or B-spline.
+
* [[File:Sketcher_Element_Ellipse_All.svg|32px]] [[Sketcher_RestoreInternalAlignmentGeometry|Pokaż geometrię wewnętrzną ...]]: Umożliwia odtworzenie brakującej lub usunięcie niepotrzebnej geometrii wewnętrznej wybranej elipsy, łuku elipsy, hiperboli, paraboli lub B-spline.
  
* [[Image:Sketcher Symmetry.svg|32px]] [[Sketcher Symmetry|Symmetry]]: Copies a sketcher element symmetrical to a chosen line {{Version|0.16}}
+
* [[Image:Sketcher Symmetry.svg|32px]] [[Sketcher Symmetry|Tworzy symetryczna geometrię ...]]: Tworzy kopię wybranego elementu, symetrycznie względem wybranej linii. {{Version/pl|0.16}}
  
* [[Image:Sketcher Clone.svg|32px]] [[Sketcher Clone|Clone]]: Clones a sketcher element {{Version|0.16}}
+
* [[Image:Sketcher Clone.svg|32px]] [[Sketcher Clone|Tworzy proste kopie elementu ...]]: Klonuje wybrany element w szkicowniku. {{Version/pl|0.16}}
  
* [[Image:Sketcher Copy.svg|32px]] [[Sketcher Copy|Copy]]: Copies a sketcher element {{Version|0.16}}
+
* [[Image:Sketcher Copy.svg|32px]] [[Sketcher Copy|Kopia]]: Kopiuje element szkicownika. {{Version/pl|0.16}}
  
* [[File:Sketcher_Move.svg|32px]] [[Sketcher_Move|Move]]: Moves the selected geometry taking as reference the last selected point. {{Version|0.18}}
+
* [[File:Sketcher_Move.svg|32px]] [[Sketcher_Move|Przesuń]]: Przesuwa wybraną geometrię, biorąc za punkt odniesienia ostatni wybrany punkt. {{Version|0.18}}
  
* [[Image:Sketcher RectangularArray.svg|32px]] [[Sketcher RectangularArray|Rectangular Array]]: Creates an array of selected sketcher elements {{Version|0.16}}
+
* [[Image:Sketcher RectangularArray.svg|32px]] [[Sketcher RectangularArray|Tworzy prostokątny wzór macierzy reometrii ...]]: Tworzy tablicę wybranych elementów szkicownika. {{Version/pl|0.16}}
  
* [[File:Sketcher Element SelectionTypeInvalid.svg|32px]] [[Sketcher_DeleteAllGeometry|Delete All Geometry]]: Deletes all geometry from the sketch. {{Version|0.18}}
+
* [[File:Sketcher Element SelectionTypeInvalid.svg|32px]] [[Sketcher_DeleteAllGeometry|Usuń całą Geometrię]]: Usuwa całą geometrię ze szkicu. {{Version/pl|0.18}}
  
* [[File:Sketcher Element SelectionTypeInvalid.svg|32px]] [[Sketcher_DeleteAllConstraints|Delete All Constraints]]: Deletes all constraints from the sketch. {{Version|0.18}}
+
* [[File:Sketcher Element SelectionTypeInvalid.svg|32px]] [[Sketcher_DeleteAllConstraints|Usuń wszystkie wiązania]]: Usuwa wszystkie wiązania ze szkicu. {{Version/pl|0.18}}
  
===Sketcher B-spline tools===
+
===Narzędzia szkicownika dla B-splajn===
  
* [[File:Sketcher_BSplineDegree.svg|32px]] [[Sketcher_BSplineDegree|Show/Hide B-spline degree]]
+
* [[File:Sketcher_BSplineDegree.svg|32px]] [[Sketcher_BSplineDegree|Pokaż ukryj stopnie B-spline]]
  
* [[File:Sketcher_BSplinePolygon.svg|32px]] [[Sketcher_BSplinePolygon|Show/Hide B-spline control polygon]]
+
* [[File:Sketcher_BSplinePolygon.svg|32px]] [[Sketcher_BSplinePolygon|Pokaż/Ukryj wielokąt kontrolny B-spline]]
  
* [[File:Sketcher_BSplineComb.svg|32px]] [[Sketcher_BSplineComb|Show/Hide B-spline curvature comb]]
+
* [[File:Sketcher_BSplineComb.svg|32px]] [[Sketcher_BSplineComb|Pokaż / Ukryj grzebień krzywizny B-spline]]
  
* [[File:Sketcher_BSplineKnotMultiplicity.svg|32px]] [[Sketcher_BSplineKnotMultiplicity|Show/Hide B-spline knot multiplicity]]
+
* [[File:Sketcher_BSplineKnotMultiplicity.svg|32px]] [[Sketcher_BSplineKnotMultiplicity|Pokaż / Ukryj wielokrotność węzłów  B-spline]]
  
* [[File:Sketcher_BSplineApproximate.svg|32px]] [[Sketcher_ConvertToNURB|Convert Geometry to B-spline]]
+
* [[File:Sketcher_BSplineApproximate.svg|32px]] [[Sketcher_ConvertToNURB|Konwertuj geometrie na B-spline]]
  
* [[File:Sketcher_BSplineIncreaseDegree.svg|32px]] [[Sketcher_BSplineIncreaseDegree|Increase degree]]
+
* [[File:Sketcher_BSplineIncreaseDegree.svg|32px]] [[Sketcher_BSplineIncreaseDegree|Zwiększ stopień]]
  
* [[File:Sketcher_BSplineIncreaseKnotMultiplicity.svg|32px]] [[Sketcher_BSplineIncreaseKnotMultiplicity|Increase knot multiplicity]]
+
* [[File:Sketcher_BSplineIncreaseKnotMultiplicity.svg|32px]] [[Sketcher_BSplineIncreaseKnotMultiplicity|Zwiększyć liczebność węzłów]]
  
* [[File:Sketcher_BSplineDecreaseKnotMultiplicity.svg|32px]] [[Sketcher_BSplineDecreaseKnotMultiplicity|Decrease knot multiplicity]]
+
* [[File:Sketcher_BSplineDecreaseKnotMultiplicity.svg|32px]] [[Sketcher_BSplineDecreaseKnotMultiplicity|Zmniejszenie liczby węzłów]]
  
===Sketcher virtual space===
+
===Wirtualna przestrzeń szkicownika===
  
* [[Image:Sketcher SwitchVirtualSpace.svg|32px]] [[Sketcher_SwitchVirtualSpace|Switch Virtual Space]]: Allows you to hide all constraints of a sketch and make them visible again. {{Version|0.17}}
+
* [[Image:Sketcher SwitchVirtualSpace.svg|32px]] [[Sketcher_SwitchVirtualSpace|Przełącz wirtualną przestrzeń]]: Umożliwia ukrycie wszystkich wiązań szkicu i ponowne ich wyeksponowanie. {{Version/pl|0.17}}
  
===Preferences===
+
===Ustawienia===
  
* [[Image:Preferences-general.svg|32px]] [[Sketcher_Preferences|Preferences]]: Preferences for the '''Sketcher''' workbench.
+
* [[Image:Preferences-general.svg|32px]] [[Sketcher_Preferences|Ustawienia]]: Konfiguracja Środowiska pracy '''Sketcher'''.
  
 
==Dobre praktyki==
 
==Dobre praktyki==
 
Każdy użytkownik CAD z biegiem czasu rozwija swój własny sposób pracy, ale istnieją pewne przydatne ogólne zasady, którymi należy się kierować.
 
Każdy użytkownik CAD z biegiem czasu rozwija swój własny sposób pracy, ale istnieją pewne przydatne ogólne zasady, którymi należy się kierować.
  
<div class="mw-translate-fuzzy">
+
* Seria prostych szkiców jest łatwiejsza do wykonania niż jeden złożony szkic. Na przykład, pierwszy szkic może być utworzony dla podstawowej funkcji 3D ''(wyciągnięcie, albo wyciągniecie przez obrót)'', podczas gdy drugi może zawierać otwory lub wycięcia ''(kieszenie)''. Niektóre szczegóły mogą zostać pominięte, które zostaną zrealizowane później jako funkcje 3D. Możesz wybrać unikanie zaokrągleń w szkicu, jeśli jest ich zbyt wiele, i dodać je jako funkcję 3D.
* Kilka prostych szkiców jest łatwiej opanować niż jeden skomplikowany. Np., pierwszy szkic może być utworzony jako baza do cechy 3D (występu lub kieszeni), kiedy drugi może zawierać otwory lub wycięcia (kieszenie). Część szczegółów może zostać wyrzucona, by zrealizować je w postaci cech 3D. Możesz uniknąć zaokrągleń w szkicu jeśli jest ich zbyt wiele i dodać je jako cechy 3D.
+
* Zawsze twórz profil zamknięty, inaczej Twój szkic nie stworzy bryły, ale raczej zestaw otwartych ścian. Jeśli nie chcesz, aby niektóre obiekty zostały włączone do bryły, przekształć je w elementy konstrukcyjne za pomocą narzędzia '''Tryb konstrukcji'''.
* Zawsze twórz zamknięty profil, inaczej ze szkicu nie zostanie utworzona bryła, a zbiór otwartych ścian. Jeśli nie chcesz użyć niektórych obiektów podczas tworzenia bryły, zmień je na elementy konstrukcyjne narzędziem Tryb Konstrukcji.
+
* Użyj funkcji automatycznych wiązań, aby ograniczyć liczbę wiązań, które musisz dodać ręcznie.
* Użyj funkcji autowiązania by ograniczyć ilość więzów które będziesz dodawał ręcznie
+
* Z reguły najpierw należy zastosować ograniczenia geometryczne, potem ograniczenia wymiarowe, a następnie zablokować szkic jako ostatni. Ale pamiętaj: reguły tworzone po to, aby je łamać. Jeśli masz problemy z manipulowaniem szkicem, przydatne może być związanie najpierw kilku obiektów przed ukończeniem profilu.
* Jako główna zasada, najpierw dodawaj więzy geometryczne, potem wymiarowe i na końcu zablokuj szkic. Ale zapamiętaj: zasady są po to by je łamać. Jeśli masz problemy z manipulowaniem szkicem, może być przydatne związanie najpierw kilku obiektów przed ukończeniem rysowania profilu.
+
* Jeśli to możliwe, wyśrodkuj szkic do punktu początkowego ''(0,0)'' z wiązaniem blokady. Jeśli Twój szkic nie jest symetryczny, zlokalizuj jeden z jego punktów w punkcie początkowym lub wybierz ładne okrągłe liczby dla odległości blokady. W wersji '''v0.12''' nie są zaimplementowane zewnętrzne wiązania ''(ograniczające szkic do istniejącej geometrii 3D, takiej jak krawędzie lub inne szkice)''. Oznacza to, że aby zlokalizować kolejne szkice geometrii do pierwszego szkicu, należy ręcznie ustawić odległości względem pierwszego szkicu. Wiązanie blokady ''(25,75)'' z punktu początkowego jest łatwiejsze do zapamiętania niż ''(23,47,73.02)''.
* Jeśli to możliwe, wycentruj szkic na początku układu współrzędnych (0,0) używając więzu blokady.Jeśli szkic nie jest symetryczny, ustaw jeden z jego punktów na początku układu współrzędnych lub wybierz całkowite liczby do zablokowania odległości. W v0.12 więzy zewnętrzne nie są zaimplementowane (dopiero v0.13 ma ich wstępną obsługę). Znaczy to, że by ustawić geometrię szkicu do szkicu wcześniejszego, musisz zrobić to ręczne. Więz blokady (25,75) od początku układu współrzędnych jest znacznie łatwiejszy do zapamiętania niż taki (23.47,73.02).
+
* Jeśli masz możliwość wyboru między wiązaniem długości a wiązaniem poziomym lub pionowym, preferowane są te ostatnie. Ograniczenia odległości poziomej i pionowej są mniej obciążające obliczeniowo.
* Jeśli możesz wybrać pomiędzy więzem Długości a Poziomym lub Pionowym więzem Odległości, wybierz ten drugi. Będzie on lżejszy w procesie obliczeń.
+
* Ogólnie rzecz biorąc, najlepsze ograniczenia, których należy użyć, to: <br />Wiązania poziome i pionowe; Wiązania poziome i pionowe długości; Styczność punkt-punkt. <br />Jeśli to możliwe, należy ograniczyć użycie następujących wiązań: <br />ogólne wiązanie długości, styczność krawędzi do krawędzi, ustalenie punktu do związania linii, wiązanie symetrii.
</div>
+
* Jeśli masz wątpliwości co do poprawności szkicu po jego ukończeniu ''(elementy zmieniają kolor na zielony)'', zamknij okno dialogowe Szkicownik, przejdź do Środowiska pracy [[Part Workbench|Part]] i uruchom [[Part CheckGeometry|Sprawdź geometrię]].
  
== Tutorials ==
+
==Poradniki==
  
* [https://forum.freecadweb.org/viewtopic.php?f=36&t=30104 Sketcher tutorial] by chrisb. This is a 70-page long PDF document that serves as a detailed manual for the sketcher. It explains the basics of Sketcher usage, and goes into a lot of detail about the creation of geometrical shapes, and each of the constraints.
+
* [https://forum.freecadweb.org/viewtopic.php?f=36&t=30104 Sketcher tutorial] według chrisb. Jest to 70-stronicowy dokument PDF, który służy za szczegółową instrukcję obsługi szkicownika. Wyjaśniono w nim podstawy użytkowania programu Sketcher i omówiono wiele szczegółów dotyczących tworzenia kształtów geometrycznych i każdego z ograniczeń.
* [[Sketcher tutorial|Sketcher tutorial]] for beginners
+
* [[Sketcher tutorial|Sketcher tutorial]] dla początkujących.
* [[Sketcher Micro Tutorial - Constraint Practices|Sketcher Micro Tutorial - Constraint Practices]]
+
* [[Sketcher Micro Tutorial - Constraint Practices|Sketcher Mikro poradnik - Praktyki dotyczące wiązań]]
* [[Sketcher requirement for a sketch|Sketcher requirement for a sketch]] Minimum requirement for a sketch and Complete determination of a sketch
+
* [[Sketcher requirement for a sketch|Sketcher requirement for a sketch]] Minimalne wymagania dotyczące szkicu i kompletne określenie szkicu.
  
 
{{Docnav/pl
 
{{Docnav/pl
|[[Ship Workbench|Ship Workbench]]
+
|[[Ship Workbench|Środowisko pracy Ship]]
|[[Spreadsheet Workbench|Spreadsheet Workbench]]
+
|[[Spreadsheet Workbench|Środowisko pracy Spreadsheet]]
 
|IconL=Workbench_Ship.svg
 
|IconL=Workbench_Ship.svg
 
|IconR=Workbench_Spreadsheet.svg
 
|IconR=Workbench_Spreadsheet.svg

Latest revision as of 18:15, 27 November 2019

Other languages:
български • ‎čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎hrvatski • ‎magyar • ‎Bahasa Indonesia • ‎italiano • ‎日本語 • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська • ‎中文 • ‎中文(中国大陆)‎ • ‎中文(繁體)‎ • ‎中文(台灣)‎

Workbench Sketcher.svg

Wprowadzenie

Środowisko pracy Sketcher służy do tworzenia geometrii 2D przeznaczonych do wykorzystania w Środowiskach pracyPartDesign, Arch i innych. Ogólnie rzecz biorąc, rysunek 2D jest uważany za punkt wyjścia dla większości modeli CAD, ponieważ szkic 2D może być wyciągany do tworzenia kształtu 3D. Kolejne szkice 2D mogą być wykorzystywane do tworzenia następnych elementów detalu, takich jak kieszenie, grzbiety lub wytłoczki na górze uprzednio zbudowanych kształtów 3D. Wraz z operacjami logicznymi zdefiniowanymi w Środowisku pracyPart, Sketcher stanowi podstawę konstrukcyjnej geometrii bryłowej (CSG) metody budowania brył. Ponadto wraz z operacjami dostępnymi w PartDesign Sketcher stanowi również podstawę do metody tworzenia brył.

Środowisko pracy Sketcher posiada wiązania, dzięki czemu kształty 2D mogą podążać za precyzyjnymi definicjami geometrycznymi pod względem długości, kątów i relacji (poziomość, pionowość, prostopadłość itp.). Narzędzie do tworzenia wiązań oblicza wymagany zakres geometrii 2D i umożliwia przeprowadzenie interaktywnej eksploracji stopni swobody szkicu.

FC ConstrainedSketch.png

W pełni związany szkic.


Podstawy tworzenia wiązań

Aby wyjaśnić, jak działa Sketcher, przydatne może być porównanie go z "tradycyjnym" sposobem sporządzania projektu.

Rysowanie Tradycyjne

Tradycyjna metoda rysowania CAD pochodzi od dawnej deski kreślarskiej. Rzuty prostopadłe (2D) są kreślone ręczenie z przeznaczeniem do tworzenia rysunków technicznych. Obiekty są rysowane precyzyjnie w zamierzonej skali lub wymiarze. Jeśli chcesz narysować poziomą linię o długości 100mm startującą w punkcie (0,0), musisz aktywować narzędzie linii, kliknąć na ekranie bądź wprowadzić współrzędne (0,0) dla pierwszego punktu, następnie wykonać kolejne kliknięcie lub wprowadzić współrzędnie dla drugiego punktu (0,100). Ewentualnie możesz narysować linię bez określanie jej pozycji i przesunąć ją później. Kiedy skończysz rysować geometrię, nadajesz jej wymiary.

Szkicowanie z więzami

Sketcher odchodzi od tej logiki. Obiekty nie muszą być rysowane dokładnie tak, jak zamierzasz, ponieważ zostaną później zdefiniowane przez wiązania. Obiekty mogą być rysowane luźno i tak długo, jak długo pozostają niezwiązane, mogą być modyfikowane. Są one w efekcie pływające i mogą być przesuwane, rozciągane, obracane, skalowane i tak dalej. Daje to dużą elastyczność w procesie projektowania.

Czym są wiązania

Zamiast wymiarów, wiązaniania są stosowane w celu ograniczenia stopnia swobody obiektu. Na przykład, linia bez wiązań ma 4 stopnie swobody (w skrócie "DOF"): można ją przesuwać w poziomie lub w pionie, można ją rozciągać i obracać.

Wykorzystanie więzu poziomego lub pionowego, lub więzu kąta (względem innej linii lub jednej z osi), ogranicz jej zdolność do obracania pozostawiając ją z 3 stopniami swobody. Zablokowanie jednego z punktów w relacji do układu współrzędnych usunie kolejne dwa stopnie. W końcu zastosowanie więzu wymiaru usunie ostatni stopień swobody. Linia jest w wtedy uznawana za w pełni ograniczoną więzami.

Wiele obiektów może być ze sobą związanych. Dwie linie mogą być połączone poprzez jeden z ich punktów za pomocą wiązania punktów zbieżnych. Mogą być ustawiane między sobą pod kątem lub prostopadle. Linia może być styczna do łuku lub okręgu i tak dalej. Złożony szkic z wieloma obiektami będzie miał wiele różnych rozwiązań, a uczynienie go w pełni ograniczonym oznacza, że tylko jedno z tych możliwych rozwiązań zostało osiągnięte w oparciu o zastosowane ograniczenia.

Są dwa typy więzów: geometryczne i wymiarowe.Są one opisane dokładnej w poniższej sekcji 'The tools'.

Do czego Szkicownik nie jest dobry

Sketcher nie jest przeznaczony do wykonywania planów 2D. Gdy szkice zostaną użyte do wygenerowania bryły, są one automatycznie ukrywane. Ograniczenia są widoczne tylko w trybie edycji szkicu.

Jeśli potrzebujesz stworzyć tylko widoki 2D do druku, a nie chcesz tworzyć modeli 3D, sprawdź Środowisko pracy Draft. W przeciwieństwie do elementów szkicownika, szkice obiektów nie używają wiązań; są to proste kształty zdefiniowane w momencie tworzenia. Zarówno Draft jak i Sketcher mogą być używane do rysowania geometrii 2D i tworzenia brył 3D, chociaż ich preferowane zastosowanie jest inne.
Sketcher jest zwykle używany razem z Part i PartDesign do tworzenia brył. Draft jest zwykle używany do wykonywania prostych rysunków planarnych na siatce, jak podczas rysowania architektonicznego planu piętra. W takich sytuacjach Draft jest najczęściej używany razem ze Środowiskiem pracy Arch. Narzędzie Draft2Sketch konwertuje obiekt Draft na obiekt Sketch i vice versa. Wiele narzędzi, które potrzebują elementu 2D jako wejścia do pracy z każdym typem obiektu wykonuje automatycznie konwersję wewnętrzną.

Szkicowanie schemat pracy

Szkic jest zawsze dwuwymiarowy (2D). Aby utworzyć bryłę, tworzony jest płaski szkic pojedynczego zamkniętego obszaru, a następnie zostaje albo wypełniony albo obracany, aby dodać trzeci wymiar. W ten sposób tworzona jest przestrzenna bryła z płaskiego szkicu.

Jeśli szkic posiada odcinki, które się krzyżują, miejsca, w których punkt nie znajduje się bezpośrednio na odcinku, lub miejsca, w których występują przerwy pomiędzy punktami końcowymi sąsiednich odcinków, wyciągnięcie lub wyciągnięcie przez obrót nie stworzą bryły. Czasami szkic, który zawiera przecinające się linie, będzie działał dla prostej operacji, takiej jak wyciągnięcie, ale późniejsze operacje, takie jak Linear Pattern, nie powiodą się. Najlepiej jest unikać krzyżowania linii. Wyjątkiem od tej reguły jest sytuacja, dla elementów konstrukcyjnych (niebieskich).

Wewnątrz zamkniętego obszaru możemy mieć mniejsze powierzchnie nie zachodzące na siebie. Będą to puste przestrzenie, gdy zostanie utworzona bryła 3D.

Gdy szkic jest w pełni związany, jego elementy zmienią kolor na zielony, geometria konstrukcji pozostanie niebieska. Zazwyczaj jest on gotowy w tym miejscu i nadaje się do wykorzystania przy tworzeniu bryły 3D. Jednakże, gdy okno dialogowe Szkic jest zamknięte, warto przejść do Środowiska pracy Part i uruchomić funkcje Sprawdź geometrię, aby upewnić się, że w Szkicu nie ma elementów, które mogą spowodować późniejsze problemy.

Narzędzia

Wszystkie narzędzia Środowiska prascy Sketcher znajdują się w menu głównym Sketch, się one po załadowaniu tego środowiska pracy.

  • Sketcher NewSketch.svg Nowy szkic: Tworzy nowy szkic na wybranej powierzchni lub płaszczyźnie. Jeśli podczas uruchamiania tego narzędzia nie zostanie wybrana żadna ściana, użytkownik zostanie poproszony o wybranie płaszczyzny z wyskakującego okna.
  • Sketcher ViewSketch.svg Widok szkucu: Ustawia widok modelu prostopadle do płaszczyzny szkicu.

Geometria w szkicowniku

Poniżej znajdują się narzędzia do tworzenia obiektów.

  • Sketcher Line.svg Utwórz linię na szkicu: Rysuje odcinek linii między 2 punktami. Linie są nieograniczone pod względem pewnych wiązań.
  • Sketcher CompCreateArc.png Utwórz łuk: Jest to ikona menu na pasku narzędzi szkicownika, która zawiera następujące funkcje:
  • Sketcher Arc.svg Utwórz łuk w szkicowniku: Rysuje odcinek łuku od punktu środka, uwzględniając promień, oraz punkt początkowy i punkt końcowy.
  • Sketcher CompCreateCircle.png Utwórz okrąg ...: Jest to ikona menu na pasku narzędzi szkicownika, która zawiera następujące funkcje:
  • Sketcher CreatePolyline.svg Utwórz polilinię w szkicu: Rysuje linię złożoną z wielu segmentów linii. Naciśnięcie klawisza M podczas rysowania polilinii przełącza pomiędzy różnymi trybami.
  • Sketcher CreateRegularPolygon.svg Wielokąt foremny : Rysuje wielokąt foremny, wybierając liczbę boków i wybierając dwa punkty: środek i jeden róg.
  • Sketcher CreateSlot.png Utwórz szczelinę ...: Rysuje owal, wybierając środek jednego półkola i punkt końcowy drugiego półkola.
  • Sketcher CreateFillet.svg Zaokrąglenie: Tworzy zaokrąglenie między dwiema liniami połączonymi w jednym punkcie. Zaznacz obie linie lub kliknij punkt narożny, a następnie aktywuj narzędzie.
  • Sketcher AlterConstruction.svg Tryb konstrukcji: Przełącza geometrię szkicu z/do trybu konstrukcyjnego. Geometria konstrukcji jest pokazana na niebiesko i jest pomijana poza trybem edycji szkicu.

Wiązania w szkicowniku

Wiązania służą do definiowania długości, ustalania reguł pomiędzy elementami szkicu oraz blokowania szkicu wzdłuż osi pionowej i poziomej. Niektóre z tych wiązań wymagają użycia pomocy.

Więzy geometrii

Ograniczenia te nie są zależne od danych liczbowych.

  • Constraint Vertical.svg Utwórz wiązanie pionowe ...: Wyrównuje wybrane linie lub elementy polilinii do rzeczywistej orientacji pionowej. Przed zastosowaniem tego wiązania można wybrać więcej niż jeden obiekt.
  • Constraint Horizontal.svg Utwórz wiązanie poziome: Wyrównuje wybrane linie lub elementy polilinii do rzeczywistej orientacji poziomej. Przed zastosowaniem tego wiązania można wybrać więcej niż jeden obiekt.
  • Constraint Tangent.svg Utwórz styczną ...: Tworzy wiązanie styczne pomiędzy dwoma wybranymi elementami lub wiązanie współliniowe pomiędzy dwoma segmentami linii. Segment linii nie musi leżeć bezpośrednio na łuku lub okręgu, aby został związany ze styczną do tego łuku lub okręgu.
  • Constraint EqualLength.svg Utwórz wiązanie równości: Powoduje, że dwie wybrane elementy są sobie równe. Jeśli są używane na okręgach lub łukach, ich promienie będą ustawione jako równe.
  • Constraint Symmetric.svg Utwórz wiąz symetrii ...: Powoduje symetryczne związanie dwóch punktów względem linii lub też związanie pierwszych dwóch wybranych punktów symetrycznie względem trzeciego wybranego punktu.

Wiązania wymiarów

Są to wiązania ściśle powiązane z danymi liczbowymi, dla których można użyć wyrażeń. Dane mogą być pobierane z arkusza kalkulacyjnego.

  • Sketcher ConstrainLock.svg Utwórz blokade wiazania ...: Powoduje związanie wybranego elementu poprzez ustawienie odległości pionowych i poziomych w stosunku do punktu początkowego, blokując w ten sposób lokalizację tego elementu. Odległości te można później edytować.
  • Constraint HorizontalDistance.svg Ustal poziomą odległość ...: Ustala poziomą odległość pomiędzy dwoma punktami lub punktami końcowymi linii. Jeśli wybrana jest tylko jedna pozycja, odległość jest ustawiana względem punktu początkowego.
  • Constraint VerticalDistance.svg Ustal pionową odległość ...: Ustala pionową odległość pomiędzy dwoma punktami lub punktami końcowymi linii. Jeśli wybrana jest tylko jedna pozycja, odległość jest ustawiana względem punktu początkowego.
  • Constraint Length.svg Ustal długość linii ...: Określa odległość wybranej linii przez związanie jej długości, lub określa odległość między dwoma punktami przez związanie odległości między nimi.
  • Constraint InternalAlignment.svg Zwiąż do wewnątrz: Wyrównuje wybrane elementy do wybranego kształtu (np. linia staje się główną osią elipsy).

Narzędzia szkicownika

  • Sketcher Element Ellipse All.svg Pokaż geometrię wewnętrzną ...: Umożliwia odtworzenie brakującej lub usunięcie niepotrzebnej geometrii wewnętrznej wybranej elipsy, łuku elipsy, hiperboli, paraboli lub B-spline.

Narzędzia szkicownika dla B-splajn

Wirtualna przestrzeń szkicownika

Ustawienia

  • Preferences-general.svg Ustawienia: Konfiguracja Środowiska pracy Sketcher.

Dobre praktyki

Każdy użytkownik CAD z biegiem czasu rozwija swój własny sposób pracy, ale istnieją pewne przydatne ogólne zasady, którymi należy się kierować.

  • Seria prostych szkiców jest łatwiejsza do wykonania niż jeden złożony szkic. Na przykład, pierwszy szkic może być utworzony dla podstawowej funkcji 3D (wyciągnięcie, albo wyciągniecie przez obrót), podczas gdy drugi może zawierać otwory lub wycięcia (kieszenie). Niektóre szczegóły mogą zostać pominięte, które zostaną zrealizowane później jako funkcje 3D. Możesz wybrać unikanie zaokrągleń w szkicu, jeśli jest ich zbyt wiele, i dodać je jako funkcję 3D.
  • Zawsze twórz profil zamknięty, inaczej Twój szkic nie stworzy bryły, ale raczej zestaw otwartych ścian. Jeśli nie chcesz, aby niektóre obiekty zostały włączone do bryły, przekształć je w elementy konstrukcyjne za pomocą narzędzia Tryb konstrukcji.
  • Użyj funkcji automatycznych wiązań, aby ograniczyć liczbę wiązań, które musisz dodać ręcznie.
  • Z reguły najpierw należy zastosować ograniczenia geometryczne, potem ograniczenia wymiarowe, a następnie zablokować szkic jako ostatni. Ale pamiętaj: reguły są tworzone po to, aby je łamać. Jeśli masz problemy z manipulowaniem szkicem, przydatne może być związanie najpierw kilku obiektów przed ukończeniem profilu.
  • Jeśli to możliwe, wyśrodkuj szkic do punktu początkowego (0,0) z wiązaniem blokady. Jeśli Twój szkic nie jest symetryczny, zlokalizuj jeden z jego punktów w punkcie początkowym lub wybierz ładne okrągłe liczby dla odległości blokady. W wersji v0.12 nie są zaimplementowane zewnętrzne wiązania (ograniczające szkic do istniejącej geometrii 3D, takiej jak krawędzie lub inne szkice). Oznacza to, że aby zlokalizować kolejne szkice geometrii do pierwszego szkicu, należy ręcznie ustawić odległości względem pierwszego szkicu. Wiązanie blokady (25,75) z punktu początkowego jest łatwiejsze do zapamiętania niż (23,47,73.02).
  • Jeśli masz możliwość wyboru między wiązaniem długości a wiązaniem poziomym lub pionowym, preferowane są te ostatnie. Ograniczenia odległości poziomej i pionowej są mniej obciążające obliczeniowo.
  • Ogólnie rzecz biorąc, najlepsze ograniczenia, których należy użyć, to:
    Wiązania poziome i pionowe; Wiązania poziome i pionowe długości; Styczność punkt-punkt.
    Jeśli to możliwe, należy ograniczyć użycie następujących wiązań:
    ogólne wiązanie długości, styczność krawędzi do krawędzi, ustalenie punktu do związania linii, wiązanie symetrii.
  • Jeśli masz wątpliwości co do poprawności szkicu po jego ukończeniu (elementy zmieniają kolor na zielony), zamknij okno dialogowe Szkicownik, przejdź do Środowiska pracy Part i uruchom Sprawdź geometrię.

Poradniki